﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Drawing.Imaging;

namespace KKND_GDI
{
    public partial class Form1 : Form
    {
        int bitmaps = 0;
        
        public Form1()
        {
            InitializeComponent();

            timer1.Interval = 1;

            timer1.Tick += tick;
        }

        private void tick(object sender, EventArgs e)
        {
            Bitmap item = GetScreenShot();
            ++bitmaps;
            lblAllocated.Text = "Screenshots: " + bitmaps;

            if (chbDispose.Checked)
            {
                item.Dispose();
            }
        }


        private void button1_Click(object sender, EventArgs e)
        {
            timer1.Start();            
        }

        public Bitmap GetScreenShot() //takes a screenshot from active Media Express window and returns it as a Bitmap object
        {
            Bitmap screenShotBMP = new Bitmap(1, 1, PixelFormat.Format32bppArgb);
            Graphics screenShotGraphics = Graphics.FromImage(screenShotBMP);
            try
            {
                screenShotGraphics.CopyFromScreen(1, 1, 0, 0, new Size(1, 1), CopyPixelOperation.SourceCopy);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error: " + ex.Message);
            }
            finally
            {
                screenShotGraphics.Dispose();
            }
            return screenShotBMP;
        }

        private void lblAllocated_Click(object sender, EventArgs e)
        {

        }

        private void btnStop_Click(object sender, EventArgs e)
        {
            timer1.Stop();
        }
    }
}
